Page MenuHomePhabricator

[betalabs] mapframe without lang attribute not displayed in wiki lang
Closed, ResolvedPublic

Description

  1. In hewiki betalabs source editor add mapframe (no lang attribute), e.g.
<mapframe  zoom=9 latitude=31.925 longitude=34.62 />
  1. Switch to VE and the map will be displayed in local lang-Hebrew and Arabic

  1. Save - the map will be displayed in English:

Event Timeline

Restricted Application added a project: Maps. · View Herald TranscriptMay 1 2018, 10:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 430275 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Kartographer@master] ve.dm.MWMapsNode: Don't hard-code server and style

https://gerrit.wikimedia.org/r/430275

Restricted Application added a project: Discovery. · View Herald TranscriptMay 2 2018, 1:02 AM
Catrope added a subscriber: Catrope.

Change 430275 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Kartographer@master] ve.dm.MWMapsNode: Don't hard-code server and style
https://gerrit.wikimedia.org/r/430275

This patch should fix the fact that VE behaves differently than read mode. The fact that it uses English instead of the wiki language is also a problem, I'll fix that next.

The fact that it uses English instead of the wiki language is also a problem, I'll fix that next.

I deployed the latest version of the Kartotherian deploy repo in beta, and this is now fixed.

Change 430275 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] ve.dm.MWMapsNode: Don't hard-code server and style

https://gerrit.wikimedia.org/r/430275

Etonkovidova updated the task description. (Show Details)May 3 2018, 10:00 PM
Etonkovidova closed this task as Resolved.May 4 2018, 9:51 PM
Vvjjkkii renamed this task from [betalabs] mapframe without lang attribute not displayed in wiki lang to 0tdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Catrope as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 0tdaaaaaaa to [betalabs] mapframe without lang attribute not displayed in wiki lang.Jul 1 2018, 9:38 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Catrope.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:56 AM